Subject: Re: Questions

From: Jeremy Lawrence <[email-masked]>
Date: Mon, 10 Jan 2000 12:45:26 +1100

Sunil,

>1.      In the Internet Draft draft-ietf-mpls-arch-06.txt, it says that the
>MPLS architecture does not assume that there is only one label distribution
>protocol and that several protocols are being standardized such as BGP, RSVP
>and new protocols being created for i.e. LDP. The majority of the material
>that I have looked at only discuss RSVP and to some extent LDP as the two
>protocols that are now being considered for this purpose. Are these two the
>only protocols that are being considered for standardization by the IETF and
>if so, why was BGP discarded? If not, can someone please direct me to
>material on BGP and how it is being extended to provide label distribution.

The BGP stuff is very much alive and has recently gone to Working
Group Last Call (the final Working Group stage before forwarding it
to the IESG for consideration as a Proposed Standard). The current
draft is
http://www.ietf.org/internet-drafts/draft-ietf-mpls-bgp4-mpls-04.txt

Jeremy Lawrence